libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter Danecek (JIRA)" <j...@apache.org>
Subject [jira] [Created] (LIBCLOUD-530) use unittest.mock on Python 3.3+ to satisfy mock depency for testing
Date Thu, 13 Mar 2014 12:29:49 GMT
Peter Danecek created LIBCLOUD-530:
--------------------------------------

             Summary: use unittest.mock on Python 3.3+ to satisfy mock depency for testing
 
                 Key: LIBCLOUD-530
                 URL: https://issues.apache.org/jira/browse/LIBCLOUD-530
             Project: Libcloud
          Issue Type: Improvement
         Environment: Python 3.3+ is effected on all platforms
here: Mac OS X and Macports
            Reporter: Peter Danecek
            Priority: Minor


Python 3.3+ provides mock as part of the standard library in the `unittest.mock` namespace:
http://docs.python.org/3/library/unittest.mock.html

libcloud should be able to use this for testing and to handle the difference with respect
to other Python version. This would avoid the necessity to install mock as a separate, redundant
packages on Python 3.3+. This packages in not always available through package managers.





--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message